Name: ktoblzcheck
Summary: A library to check account numbers and bank codes of German banks
Version: 1.37
Release: 1%{?dist}
Source: http://download.sourceforge.net/ktoblzcheck/%{name}-%{version}.tar.gz
Group: System Environment/Libraries
License: LGPLv2+
URL: http://ktoblzcheck.sourceforge.net

%description 
KtoBLZCheck is a library to check account numbers and bank codes of
German banks. Both a library for other programs as well as a short
command-line tool is available. It is possible to check pairs of
account numbers and bank codes (BLZ) of German banks, and to map bank
codes (BLZ) to the clear-text name and location of the bank.

%package devel
Summary: Ktoblzcheck developer files
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the development files for the account number
checking library ktoblzcheck.

%prep
%setup -q
for file in NEWS ChangeLog ; do
	iconv -f iso8859-1 -t utf-8 $file -o $file.new
	touch -r $file $file.new
	mv -f $file.new $file
done

%build
%{configure} --disable-python
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc README AUTHORS COPYING NEWS ChangeLog
%{_libdir}/*.so.*
%{_bindir}/ktoblzcheck
%{_datadir}/ktoblzcheck/*
%{_mandir}/man1/ktoblzcheck.1*

%files devel
%defattr(-,root,root)
%{_includedir}/iban.h
%{_includedir}/ktoblzcheck.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/ktoblzcheck.pc

%changelog
* Tue Jan 31 2012 Bill Nottingham <notting@redhat.com> - 1.37-1
- initial packaging
